UpdateAlertRule
ListRules removed: use RuleManagementService.ListRulesFiltered instead. Update an existing alert rule with partial or full field changes
PUT
/api/v1/alerting/rules/{ruleUuid}Operation ID
UpdateAlertRuleSince
1.0.0Execution Mode
AsynchronousAuth Context
Auth RequiredAsync Workflow
This endpoint starts asynchronous work.
Expect an initial acceptance response first, then follow the workflow-specific identifier or task status from the response payload.
Auth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleUuidStringRequiredUUID of the alert rule to update
Body Fields
nameStringNew name for the alert rule
Example: Updated CPU Alert
descriptionStringNew description for the rule
Example: Updated alert description
operatorStringNew comparison operator
Example: >
thresholdLongNew threshold value
Example: 85
durationIntegerNew duration in seconds
Example: 300
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedResponse fields displayName, metricDisplayName, resourceTypeDisplayName...View APIChange Time
AddedRequest body fields key, valuesAddedResponse fields key, valuesView APIChange Time
AddedRequest body fields conditionType, defaultConfigSnapshot, filterRules...AddedResponse fields conditionType, defaultConfigSnapshot, filterRules...View API
